Bug 273867 - Zoom of the scratchpad does not coincide to the zoom of the canvas
Summary: Zoom of the scratchpad does not coincide to the zoom of the canvas
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: General (show other bugs)
Version: git master (please specify the git hash!)
Platform: Compiled Sources Linux
: NOR minor
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-22 18:05 UTC by pentalis
Modified: 2011-08-13 06:44 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description pentalis 2011-05-22 18:05:03 UTC
Zoom of the scratchpad does not coincide to the zoom of the canvas,
As a result you cannot test the brush correctly.
Comment 1 Dmitry Kazakov 2011-08-09 14:24:31 UTC
Git commit d0b1bd50b98acef23c0b102bed0cd3318690eab2 by Dmitry Kazakov.
Committed on 09/08/2011 at 15:15.
Pushed by dkazakov into branch 'krita_strokes_framework_kazakov'.

A rewrite for the scratchpad

1) Now it shares all the code with the freehand tool completely. No
duplication.
2) Threading for stroke is possible even here.
3) Airbrushing works.
4) The scratchpad has the same zoom-level as the image
The bug can be closed when the branch is merged to master
CCBUG:273867

M  +4    -0    krita/ui/tool/kis_tool_freehand_helper.cpp
M  +1    -0    libs/flake/KoPointerEvent.h
M  +21   -0    krita/ui/kis_canvas_resource_provider.cpp
M  +74   -100  krita/ui/widgets/kis_scratch_pad.h
M  +1    -0    krita/ui/CMakeLists.txt
M  +0    -7    krita/ui/widgets/kis_paintop_presets_popup.h
M  +2    -0    krita/ui/canvas/kis_image_patch.h
M  +5    -0    krita/ui/kis_canvas_resource_provider.h
M  +6    -0    krita/ui/kis_view2.cpp
M  +2    -2    krita/ui/canvas/kis_canvas_widget_base.h
A  +107  -0    krita/ui/widgets/kis_scratch_pad_event_filter.cpp     [License: GPL (v2+)]
M  +0    -1    krita/ui/canvas/kis_prescaled_projection.cpp
M  +4    -5    krita/ui/tests/scratchpad/scratchpad.cpp
A  +55   -0    krita/ui/widgets/kis_scratch_pad_event_filter.h     [License: GPL (v2+)]
M  +274  -373  krita/ui/widgets/kis_scratch_pad.cpp
M  +7    -35   krita/ui/widgets/kis_paintop_presets_popup.cpp
M  +0    -1    krita/ui/kis_paintop_box.cc

http://commits.kde.org/calligra/d0b1bd50b98acef23c0b102bed0cd3318690eab2
Comment 2 Dmitry Kazakov 2011-08-13 06:44:00 UTC
Resolved in my branch